
From: Johannes Stezenbach <js@convergence.de>

the patch below removes warnings like:

  warning: signed and unsigned type in conditional expression

when compiling userspace applications against a glibc built with 2.6 kernel
headers (like on Debian unstable).



 include/asm-i386/ioctl.h   |    2 +-
 include/asm-parisc/ioctl.h |    2 +-
 include/asm-ppc/ioctl.h    |    2 +-
 include/asm-ppc64/ioctl.h  |    2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-i386/ioctl.h~ioctl-userspace-warnings-fix include/asm-i386/ioctl.h
--- 25/include/asm-i386/ioctl.h~ioctl-userspace-warnings-fix	2003-12-18 08:27:33.000000000 -0800
+++ 25-akpm/include/asm-i386/ioctl.h	2003-12-18 08:27:33.000000000 -0800
@@ -53,7 +53,7 @@
 	 ((size) << _IOC_SIZESHIFT))
 
 /* provoke compile error for invalid uses of size argument */
-extern int __invalid_size_argument_for_IOC;
+extern unsigned int __invalid_size_argument_for_IOC;
 #define _IOC_TYPECHECK(t) \
 	((sizeof(t) == sizeof(t[1]) && \
 	  sizeof(t) < (1 << _IOC_SIZEBITS)) ? \
diff -puN include/asm-parisc/ioctl.h~ioctl-userspace-warnings-fix include/asm-parisc/ioctl.h
--- 25/include/asm-parisc/ioctl.h~ioctl-userspace-warnings-fix	2003-12-18 08:27:33.000000000 -0800
+++ 25-akpm/include/asm-parisc/ioctl.h	2003-12-18 08:27:33.000000000 -0800
@@ -45,7 +45,7 @@
 	 ((size) << _IOC_SIZESHIFT))
 
 /* provoke compile error for invalid uses of size argument */
-extern int __invalid_size_argument_for_IOC;
+extern unsigned int __invalid_size_argument_for_IOC;
 #define _IOC_TYPECHECK(t) \
 	((sizeof(t) == sizeof(t[1]) && \
 	  sizeof(t) < (1 << _IOC_SIZEBITS)) ? \
diff -puN include/asm-ppc64/ioctl.h~ioctl-userspace-warnings-fix include/asm-ppc64/ioctl.h
--- 25/include/asm-ppc64/ioctl.h~ioctl-userspace-warnings-fix	2003-12-18 08:27:33.000000000 -0800
+++ 25-akpm/include/asm-ppc64/ioctl.h	2003-12-18 08:27:33.000000000 -0800
@@ -43,7 +43,7 @@
 	 ((size) << _IOC_SIZESHIFT))
 
 /* provoke compile error for invalid uses of size argument */
-extern int __invalid_size_argument_for_IOC;
+extern unsigned int __invalid_size_argument_for_IOC;
 #define _IOC_TYPECHECK(t) \
        ((sizeof(t) == sizeof(t[1]) && \
          sizeof(t) < (1 << _IOC_SIZEBITS)) ? \
diff -puN include/asm-ppc/ioctl.h~ioctl-userspace-warnings-fix include/asm-ppc/ioctl.h
--- 25/include/asm-ppc/ioctl.h~ioctl-userspace-warnings-fix	2003-12-18 08:27:33.000000000 -0800
+++ 25-akpm/include/asm-ppc/ioctl.h	2003-12-18 08:27:33.000000000 -0800
@@ -38,7 +38,7 @@
 	 ((size) << _IOC_SIZESHIFT))
 
 /* provoke compile error for invalid uses of size argument */
-extern int __invalid_size_argument_for_IOC;
+extern unsigned int __invalid_size_argument_for_IOC;
 #define _IOC_TYPECHECK(t) \
 	((sizeof(t) == sizeof(t[1]) && \
 	  sizeof(t) < (1 << _IOC_SIZEBITS)) ? \

_
